/* events */
.gkmb__oneforall.-eventlist {
  grid-gap: 0;

  & .oneforall__event {
    padding: 0 2rem;
    height: auto;
    overflow: auto;
  }

  & .event__name {
    padding-bottom: 0.2rem;
    border-bottom: 1px solid rgb(var(--c-neutral-light));
    color: rgb(var(--c-primary));
    text-transform: uppercase;
    font-size: var(--f-size-l-1);
    font-weight: var(--f-weight-b);
  }

  & .date__day {
    font-size: var(--f-size-l-5);
    text-transform: uppercase;
    font-weight: var(--f-weight-b);
    color: rgb(var(--c-primary));
  }

  & .date__month {
    margin-top: -1rem;
    text-transform: uppercase;
    font-weight: var(--f-weight-b);
    color: rgb(var(--c-primary));
  }

  & .event__info {
    font-size: var(--f-size-l-2);
  }

  & .oneforall__event .event__links {
    display: flex;
    gap: 0.25rem;
    flex-direction: row;
    margin-bottom: 2rem;
    margin-top: 0.75rem;
  }

  & .event__link {
    color: rgb(var(--c-neutral-lightest));
    background: rgb(var(--c-secondary));
    font-weight: var(--f-weight-n);
    line-height: 1.4;
    padding: 0.6rem 1.2rem;
    border: none;
    border-radius: var(--b-radius-s);
  }

  & .event__link::after {
    content: "\f324";
    font-family: "FaRegular", sans-serif;
    color: rgb(var(--c-neutral-lightest));
    font-size: var(--f-size-s-2);
  }
}

@media (hover: hover) {
  .gkmb__oneforall.-eventlist .event__link:hover {
    background: rgb(var(--c-primary));
  }
}

/* today */
.gkmb__oneforall.-today {
  & .oneforall__day {
    grid-template-columns: inherit;
    margin-top: 1rem;
  }

  & .day__subarea {
    padding: 1rem;
    border: 1px solid rgb(var(--c-neutral-dark));
    border-radius: var(--b-radius-s);
  }

  & .subarea__titlewrap {
    color: rgb(var(--c-primary));
    text-transform: uppercase;
  }

  & .status__div {
    display: none;
  }

  & .subarea__title {
    margin-right: 0.5rem;
  }

  & .subarea__text {
    font-size: var(--f-size-s-1);
  }

  & .lastchange.-bottom {
    text-align: right;
    font-size: var(--f-size-s-1);
  }
}

/* =============================================================================
   Media Queries
   ========================================================================== */
@media (min-width: 400px) {
  .gkmb__oneforall.-today .oneforall__day {
    grid-template-columns: repeat(2, 1fr);
    grid-template-rows: inherit;
  }
}

@media (min-width: 640px) {
  .gkmb__oneforall.-eventlist .oneforall__event .event__links {
    margin-bottom: 0;
  }

  .gkmb__oneforall.-today .oneforall__day {
    grid-template-columns: repeat(3, 1fr);
    grid-template-rows: inherit;
  }

  .gkmb__oneforall.-today .day__subarea {
    grid-row: span 2;
  }
}

@media (min-width: 1024px) {
  .gkmb__oneforall.-eventlist .oneforall__event {
    padding: 2rem;
    display: grid;
    grid-template-columns: 5rem 1fr;
    height: auto;
    overflow: auto;
  }
}

@media (min-width: 1180px) {
  .gkmb__oneforall.-today .day__subarea:nth-child(5) {
    grid-row: 1;
    grid-column: 5;
  }

  .gkmb__oneforall.-today .day__subarea:nth-child(6) {
    grid-row: 2;
    grid-column: 5;
  }
}

@media (min-width: 1280px) {
  .gkmb__oneforall.-today .oneforall__day {
    display: grid;
    grid-gap: 5px;
    grid-template-columns: repeat(5, 1fr);
    grid-template-rows: repeat(2, max-content);
  }
}
